# Interface TablePreparation

public interface TablePreparation
Hook for adding behaviour to StarTableFactory table loading.

Since:
  28 Sep 2017
Author:
  Mark Taylor
See Also:
  - `StarTableFactory`

## Method Summary

Modifier and Type
Method
Description
`StarTable`
`prepareLoadedTable(StarTable table, TableBuilder builder)`
Performs arbitrary operations on a given table that has been loaded by a given input handler.

## Method Details

### prepareLoadedTable

StarTable prepareLoadedTable(StarTable table, TableBuilder builder)
Performs arbitrary operations on a given table that has been loaded by a given input handler.

Parameters:
  `table` - table that has just been loaded
  `builder` - the input handler that loaded it if known, otherwise null
Returns:
  the table that will be returned from table creation methods; may or may not be equal to the input `table`